Subject: bug#7802: bug #7802: 24.0.50; Extraneous `mouse-3' event when do `double-mouse-3'

From: "Drew Adams" <[email-masked]>
Date: Mon, 8 Aug 2011 11:45:52 -0700

> >> I vaguely recall that we used to try to separate single clicks from
> >> double-click, and the resulting user experience was rather 
> >> poor.  So it should not be the default, but rather anyone who cares 
> >> about this issue can do as described above.
> 
> > Are you sure about your "I vaguely recall"?  I am not aware 
> > that we ever, ever separated the two like you say.  That's certainly
> > not the case at least as far back as Emacs 20.
> 
> I think that when mouse-1-click-follows-link was first introduced, the
> implementation did pause to check for a double-click binding before
> following the link.  That would have been for Emacs 22.

I see no difference in this regard between Emacs 22 and 23, or for that matter,
between Emacs 23 and 24.